
Redmine - Feature #9265

Allow an issue to have multiple parent issues

2011-09-17 01:58 - Hans Hansen

Status: Closed Start date: 2011-09-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would great if it was possible to assign multiple parent issues to a given issue.

If this was possible, one would be able to easily create arbitray subsets of issues.

As an example, suppose we have two things we want to make: We want to make a car and we want to make a bicycle. However, as

a part of making both a car and a bicycle we need to invent the wheel. So, we create one issue for making the car, another issue for

making the bicycle and finally an issue for inventing the wheel. The wheel issue then has both the bicycle and the car issues as

parent.

Another example: Suppose there are various releases of some software. Each release could then have its own issue and each bug

could then have the issues which it affects as parents.

Related issues:

Is duplicate of Redmine - Feature #9197: Allow more than one parent issue for... New 2011-09-07

History

#1 - 2011-09-17 13:13 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #9197.

Your first example sounds like a blocking relationship to me more thant a parent-child relationship.

#2 - 2013-06-10 13:10 - Dani Leni

Etienne Massip wrote:

Closed as duplicate of #9197.

Your first example sounds like a blocking relationship to me more thant a parent-child relationship.

 Problem is that blocking issue will not show % done on blocking issue.

When subtask affects % done of parent task.
